Beefy Boxes and Bandwidth Generously Provided by pair Networks
Perl Monk, Perl Meditation
 
PerlMonks  

Why isn't a newer version of a module installable from cpan?

by Anonymous Monk
on Feb 04, 2011 at 20:05 UTC ( #886285=perlquestion: print w/ replies, xml ) Need Help??
Anonymous Monk has asked for the wisdom of the Perl Monks concerning the following question:

So I'm trying to install Pod::ProjectDocs and it requires Syntax::Highlight::Universal. P/PA/PALANT/Syntax-Highlight-Universal-0.4.tar.gz from CPAN fails to build on my machine for some reason, but I downloaded M/MI/MISHOO/Syntax-Highlight-Universal-0.5.tar.gz and it builds fine with a perl Makefile.PL && make && make test && make install.

Version 0.4 was added to cpan in 2005 and 0.5 in 2009.

So, question: Even though the newer version (by a different author?) has been in CPAN for a while, why isn't it showing up when I search for it? It's not being mirrored by CPAN::Mini either apparently because it's not in 02packages.details.txt, but who decides what goes in there?

cpan[4]> i /syntax::highlight::universal/ Module id = Syntax::Highlight::Universal DESCRIPTION Syntax highlighter based on Colorer library CPAN_USERID MISHOO (Mihai Bazon <mihai.bazon@gmail.com>) CPAN_VERSION 0.4 CPAN_FILE P/PA/PALANT/Syntax-Highlight-Universal-0.4.tar.gz UPLOAD_DATE 2005-03-13 DSLIP_STATUS Rd+hp (released,developer,C++,hybrid,Standard-Per +l) MANPAGE Syntax::Highlight::Universal - Syntax highlightin +g module based on the Colorer library INST_FILE /opt/perl/perl-5.12.2/lib/site_perl/5.12.2/i686-l +inux/Syntax/Highlight/Universal.pm INST_VERSION 0.5 cpan[5]> d /syntax-highlight-universal/ Distribution id = P/PA/PALANT/Syntax-Highlight-Universal-0.4.tar.g +z CPAN_USERID PALANT (Wladimir Palant <palant@cpan.org>) CONTAINSMODS Syntax::Highlight::Universal UPLOAD_DATE 2005-03-13

Comment on Why isn't a newer version of a module installable from cpan?
Download Code
Re: Why isn't a newer version of a module installable from cpan?
by DStaal (Chaplain) on Feb 04, 2011 at 20:57 UTC

    Sounds like the official maintainer is still PALANT, and unless they either give maintainership away or it it gets taken from them by the CPAN gods, their most recent version will be the official 'latest release'. (This prevents modules from getting stolen/hijacked.)

    MISHOO can petition for maintainership if they want, and it sounds like they probably should, if PALANT's version no longer is building on current boxes.

        Furthermore, we find that the module is actually *registered* with mishoo !

        Cheers,
        Rob
Re: Why isn't a newer version of a module installable from cpan?
by Khen1950fx (Canon) on Feb 05, 2011 at 08:51 UTC
    If you look at the Makefile.PL, you'll find that PALANT is still listed as the author, so when you try to download it from CPAN, the PALANT v0.4 supplants MISHOO's v0.5, even though v0.5 is the current version.
      If you look at the Makefile.PL, you'll find that PALANT is still listed as the author, so when you try to download it from CPAN, the PALANT v0.4 supplants MISHOO's v0.5, even though v0.5 is the current version.

      Nice theory, got anything to back it up?

        Yes. In addition to the Makefile.PL, PALANT is still listed as the author in the README and META.yml.

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: perlquestion [id://886285]
Approved by moritz
Front-paged by moritz
help
Chatterbox?
and the web crawler heard nothing...

How do I use this? | Other CB clients
Other Users?
Others making s'mores by the fire in the courtyard of the Monastery: (13)
As of 2014-12-19 14:44 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?

    Is guessing a good strategy for surviving in the IT business?





    Results (84 votes), past polls